• Getting Started
  • Components
    • Barcodes
    • Buttons
    • Chartsupdated
    • Conversational UIupdated
    • Data Query
    • Date Inputsupdated
    • Date Math
    • Dialogs
    • Drawing
    • Dropdownsupdated
    • Editor
    • Excel Export
    • File Saver
    • Filter
    • Gantt
    • Gauges
    • Gridupdated
    • Icons
    • Indicators
    • Inputsupdated
    • Labels
    • Layoutupdated
    • ListBox
    • ListView
    • Map
    • Menus
    • Navigation
    • Notification
    • Pager
    • PDF Export
    • PDFViewer
    • PivotGridupdated
    • Popup
    • ProgressBars
    • Ripple
    • Schedulerupdated
    • ScrollView
    • Sortable
    • Spreadsheetupdated
    • ToolBar
    • Tooltips
    • TreeList
    • TreeView
    • Typography
    • Uploads
    • Utilities
  • Styling & Themes
  • Common Features
  • Project Setup
  • Knowledge Base
  • Sample Applications
  • FAQ
  • Troubleshooting
  • Updates
  • Changelogs

Getting Started with the Kendo UI for Angular Map

This guide provides the information you need to start using the Kendo UI for Angular Map—it includes instructions about the available installation approaches, the required dependencies, the code for running the project, and links to additional resources.

The Map Package is part of Kendo UI for Angular, a professional grade UI library with 110+ components for building modern and feature-rich applications. To try it out sign up for a free 30-day trial.

After the completion of this guide, you will be able to achieve an end result as demonstrated in the following example.

Example
View Source
Change Theme:

Setting Up Your Angular Project

Before you start with the installation of any Kendo UI for Angular control, ensure that you have a running Angular project. The prerequisites to accomplish the installation of the components are always the same regardless of the Kendo UI for Angular package you want to use, and are fully described in the section on setting up your Angular project.

Installing the Components

You can choose to use either of the following two approaches for installing the Kendo UI for Angular package and the styles you want to apply:

Quick Setup with Angular CLI

The quick setup presents an automatic approach for adding packages with Angular CLI through the ng-add command. It is suitable for saving time and efforts as ng-add executes in a single step a set of otherwise individually needed commands.

To add the Kendo UI for Angular Map package, run the following command:

ng add @progress/kendo-angular-map

As a result, the ng-add command will perform the following actions:

  • Add the @progress/kendo-angular-map package as a dependency to the package.json file.
  • Import the MapModule in the current application's main module (only if the application uses NgModules).

    If your application uses standalone components, you must import the MapModule manually.

  • Register the Kendo UI Default theme in the angular.json file.
  • Add all required peer dependencies to the package.json file.
  • Trigger npm install to install the theme and all peer packages that are added.

Manual Setup

The manual setup provides greater visibility and better control over the files and references installed in your Angular application. You can install the required peer dependencies and a Kendo UI theme by running separate commands for each step and import the desired component modules in your NgModule.

  1. Install the Map package together with its dependencies by running the following command:

    npm install --save @progress/kendo-angular-map @progress/kendo-angular-l10n @progress/kendo-angular-common @progress/kendo-angular-icons @progress/kendo-drawing @progress/kendo-licensing
  2. To add the Map component, import the MapModule either in your NgModule or standalone components.

    • Using Modules

      import { NgModule } from '@angular/core';
      import { BrowserModule } from '@angular/platform-browser';
      import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
      import { MapModule } from '@progress/kendo-angular-map';
      import { AppComponent } from './app.component';
      
      @NgModule({
          bootstrap:    [AppComponent],
          declarations: [AppComponent],
          imports:      [BrowserModule, BrowserAnimationsModule, MapModule]
      })
      export class AppModule {}
    • Using Standalone Components

      import { Component } from '@angular/core';
      import { MapModule } from '@progress/kendo-angular-map';
      
      @Component({
          standalone: true,
          selector: 'my-app',
          imports: [MapModule],
          template: `
              <kendo-map></kendo-map>
          `.
      })
  3. The next step is to style the components by installing one of the available Kendo UI themes—Kendo UI Default, Kendo UI Material, or Kendo UI Bootstrap.

    3.1 To start using a theme, install its package through NPM.

    • Default theme

      npm install --save @progress/kendo-theme-default
    • Bootstrap theme

      npm install --save @progress/kendo-theme-bootstrap
    • Material theme

      npm install --save @progress/kendo-theme-material

    3.2 After the theme package is installed, reference it in your project. You can include a Kendo UI theme in your project in one of the following ways:

Using the Components

  1. After successfully installing the Map package and importing the desired modules, add the corresponding tag in the app.component.html template. For example:

    <kendo-map [center]="[45, -60]">
        <kendo-map-layers>
            <kendo-map-shape-layer
                [data]="[{ type: 'Polygon', coordinates: [[[-90, 30], [-60, 60], [-30, 30], [-90, 30]]] }]">
            </kendo-map-shape-layer>
        </kendo-map-layers>
    </kendo-map>
  2. Build and serve the application by running the following command in the root folder.

    ng serve
  3. Point your browser to http://localhost:4200 to see the Kendo UI for Angular Map component on the page.

Activating Your License Key

As of December 2020, using any of the UI components from the Kendo UI for Angular library requires either a commercial license key or an active trial license key. If your application does not contain a Kendo UI license file, activate your license key.

Next Steps

Dependencies

The following table lists the specific functionalities that are provided by each of the Map dependencies as per package:

Package NameDescription
@angular/commonProvides the commonly-needed services, pipes, and directives provided by the Angular team. For more information, refer to the official Angular documentation.
@angular/coreContains critical runtime parts of the Angular framework that are needed by every application. For more information, refer to the official Angular documentation.
@angular/formsProvides support for both template-driven and reactive forms. For more information, refer to the official Angular documentation.
@progress/kendo-angular-commonContains common utilities that are needed by every Kendo UI for Angular component.
@progress/kendo-angular-iconsContains the Kendo UI for Angular Icons.
@progress/kendo-angular-l10nProvides the globalization features of Kendo UI for Angular.
@progress/kendo-chartsContains the Kendo UI Charts utilities that are needed for the Kendo UI for Angular Map to work properly.
@progress/kendo-drawingProvides the Kendo UI cross-browser library for interactive vector graphics.
@progress/kendo-licensingContains the kendo-ui-license CLI utility for license management and the internal infrastructure related to licensing.
rxjsProvides the RxJS library for reactive programming which uses Observables for an easier composition of asynchronous or callback-based code.

Learning Resources

• What is KendoReact
  • Getting Started
  • Server Components
  • Components
    • Animation
    • Barcodes
    • Buttons
    • Chartsupdated
    • Common Utilities
    • Conversational UIupdated
    • Data Gridupdated
    • Data Query
    • Data Tools
    • Date Inputs
    • Date Math
    • Dialogs
    • Drawing
    • Dropdowns
    • Editor
    • Excel Export
    • File Saver
    • Form
    • Gantt
    • Gauges
    • Indicators
    • Inputs
    • Labels
    • Layout
    • ListBoxupdated
    • ListView
    • Map
    • Notification
    • OrgChart
    • PDF Processing
    • PDFViewer
    • PivotGrid
    • Popup
    • Progress Bars
    • Ripple
    • Scheduler
    • ScrollView
    • Sortable
    • Spreadsheet
    • TaskBoard
    • Tooltips
    • TreeList
    • TreeView
    • Upload
  • Sample Applications
  • Styling & Themes
  • Common Features
  • Project Setup
  • Knowledge Base
  • Changelog
  • Updates
  • Troubleshooting

Getting Started with the KendoReact Map

This guide provides information about using the KendoReact Map—you will learn how to install the package, add a Map component to your project, style the component, and activate your license.


After completing this guide, you will be able to reproduce the following example.

Example
View Source
Change Theme:

Setting Up Your React Project

Before you install the KendoReact Map, make sure that you have a running React project. The easiest way to set up a React project is to use the Create React App approach that is described in the Get Started with KendoReact article.

Installing the Components

All KendoReact packages are distributed through npm and offer a similar installation experience. To use any component from the Map package, start with the installation of the package and its dependencies. Use Node.js v14.0.0 or later.

Navigate to the root folder of your React project and run the following command:

npm install --save @progress/kendo-react-map @progress/kendo-drawing @progress/kendo-licensing

Importing the Components

After installing the Map package, import the desired components in the React App. In this guide, you will add a tile layer to the Map, and this requires you to import the MapLayers collection and the MapTileLayer configuration component.

In the App component file of your React project (for example, src/App.js), add the following code:

// ES2015 module syntax
import { Map, MapLayers, MapTileLayer } from '@progress/kendo-react-map';
// CommonJS format
const { Map, MapLayers, MapTileLayer } = require('@progress/kendo-react-map');

Using the Components

  1. After installing the Map package and importing the components, add the Map tags to the App component file of your React project (for example, src/App.js).

     // Set up an OpenStreetMap tile map
     const tileUrl = (e) => `https://tile.openstreetmap.org/${e.zoom}/${e.x}/${e.y}.png`;
     const attribution = '© OpenStreetMap contributors';
    
     const MapContainer = () => (
     <Map>
        <MapLayers>
        <MapTileLayer
           urlTemplate={tileUrl}
           attribution={attribution}
           />
        </MapLayers>
     </Map>
     );
    
     ReactDOM.render(<MapContainer />, document.querySelector("my-app"));
  2. To style the Map, install and import the Default theme, which is one of the three beautiful themes for KendoReact.

    2.1. Install the Default theme package.

    npm install --save @progress/kendo-theme-default

    2.2. Import the CSS file from the package in src/App.js. Add this import before your existing App.css import.

    import '@progress/kendo-theme-default/dist/all.css';
  3. Build and run the application by typing the following command in the root folder of your project:

    npm start
  4. Navigate to http://localhost:3000 to see the KendoReact Map component on the page.

Activating Your License Key

Using any of the UI components in the KendoReact library requires either a commercial license key or an active trial license key.

Follow the instructions on the KendoReact My License page to activate your trial or commercial license. You can skip this step if your application already contains a KendoReact license file.

Dependencies

The Map package requires you to install the following peer dependencies in your application:

Package NameDescription
react 16.8.2*Contains the functionality necessary to define React components.
react-domContains the React renderer for the web.
@progress/kendo-licensingContains the internal infrastructure related to licensing.
@progress/kendo-drawingContains the Drawing library, which provides interactive vector graphics.

The following dependencies are automatically installed:

Package NameDescription
@progress/kendo-react-commonContains common utilities that enhance the performance and functionalities of the KendoReact UI components.
prop-typesOne of the common scripts used by the KendoReact components.

Learning Resources